Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Static Public Member Functions | Static Public Attributes
RC2 Class Reference

RC2 More...

`#include <rc2.h>`

Inheritance diagram for RC2:

List of all members.

## Classes

class | Base
class | Dec
class | Decryption
class | Enc
class | Encryption

## Public Types

typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | DEFAULT_EFFECTIVE_KEYLENGTH = 1024
static const int | MAX_EFFECTIVE_KEYLENGTH = 1024
static const int | BLOCKSIZE
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

RC2

Definition at line 22 of file rc2.h.

The documentation for this class was generated from the following file:

- rc2.h